%define section free
%define base_name proxool

Summary:        Proxool Java connection pool
Name:           %{base_name}
Version:        0.8.3
Release:        1jpp
Epoch:          0
License:        Open Source
URL:            http://proxool.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        proxool-0.8.3-source.tar.gz
# activate this patch if hibernate not yet available
Patch0:         proxool-bootstrap-HibernateTest.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  avalon-excalibur >= 0:4.1
BuildRequires:  avalon-framework >= 0:4.1.4
BuildRequires:  avalon-logkit >= 0:1.2
BuildRequires:  cglib >= 0:2.0
BuildRequires:  checkstyle >= 0:3.3
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-lang >= 0:2.0
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  crimson >= 0:1.1.3
BuildRequires:  dom4j >= 0:1.4
# activate hibernate if available
# BuildRequires:  hibernate
# see proxool-bootstrap-HibernateTest.patch
BuildRequires:  hsqldb >= 0:1.71
BuildRequires:  jaxen >= 0:1.0
BuildRequires:  jdbc-stdext >= 0:2.0
BuildRequires:  jta >= 0:1.0.1
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  mx4j >= 0:1.1.1
BuildRequires:  saxpath >= 0:1.0
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  xalan-j2 >= 0:2.5.2
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:  avalon-excalibur >= 0:4.1
Requires:  avalon-framework >= 0:4.1.4
Requires:  avalon-logkit >= 0:1.2
Requires:  cglib >= 0:2.0
Requires:  checkstyle >= 0:3.3
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-lang >= 0:2.0
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  crimson >= 0:1.1.3
Requires:  dom4j >= 0:1.4
Requires:  hsqldb >= 0:1.71
Requires:  jaxen >= 0:1.0
Requires:  jdbc-stdext >= 0:2.0
Requires:  jta >= 0:1.0.1
Requires:  junit >= 0:3.8.1
Requires:  log4j >= 0:1.2.8
Requires:  mx4j >= 0:1.1.1
Requires:  saxpath >= 0:1.0
Requires:  servletapi4 >= 0:4.0.4
Requires:  xalan-j2 >= 0:2.5.2
Requires:  xml-commons-apis >= 0:1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Transparently adds connection pooling to 
your existing JDBC driver.  Our licence 
allows you flexibility to use it in both 
commerical and other open source products.
Complies with the J2SE API, giving you the 
confidence to develop to standards. You can 
monitor the performance of your database 
connections and listen to connection events.
It's easy to configure using the JDBC API, 
XML, or Java property files - you decide.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{base_name}-%{version}
find . -name "*.jar" -exec rm {} \;
# activate this rm if hibernate not yet available
rm src/java-test/org/logicalcobwebs/proxool/HibernateTest.java

# activate this patch if hibernate not yet available
%patch0

%build
(cd lib
ln -s $(find-jar avalon-excalibur) avalon-excalibur.jar
ln -s $(find-jar avalon-framework) avalon-framework.jar
ln -s $(find-jar avalon-logkit) avalon-logkit.jar
ln -s $(find-jar cglib) cglib.jar
ln -s $(find-jar checkstyle) checkstyle.jar
ln -s $(find-jar commons-collections) commons-collections.jar
ln -s $(find-jar commons-lang) commons-lang.jar
ln -s $(find-jar commons-logging) commons-logging.jar
ln -s $(find-jar crimson) crimson.jar
ln -s $(find-jar dom4j) dom4j.jar
#ln -s $(find-jar ehcache) ehcache.jar
#ln -s $(find-jar hibernate2) hibernate2.jar
ln -s $(find-jar hsqldb) hsqldb.jar
ln -s $(find-jar jaxen) jaxen.jar
ln -s $(find-jar jdbc-stdext) jdbc-stdext.jar
ln -s $(find-jar jta) jta.jar
ln -s $(find-jar junit) junit.jar
ln -s $(find-jar log4j) log4j.jar
ln -s $(find-jar mx4j/mx4j-jmx) mx4j-jmx.jar
ln -s $(find-jar saxpath) saxpath.jar
ln -s $(find-jar servletapi4) servletapi4.jar
ln -s $(find-jar xalan-j2) xalan-j2.jar
ln -s $(find-jar xml-commons-apis) xml-commons-apis.jar
)
ant -Dtest=true test build-jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{base_name}-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf doc/api
rm -rf doc/api-dev

#manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENCE.txt
%{_javadir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog

* Tue Mar 09 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.3-1jpp
- First JPackage release
